Source: mediaconch
Priority: optional
Section: utils
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmediainfo-dev (>= 22.03),
               libzen-dev (>= 0.4.39),
               qt5-qmake,
               qtbase5-dev,
               libqt5webkit5-dev,
               libxml2-dev,
               libxslt-dev,
               libsqlite3-dev,
               libjansson-dev,
               zlib1g-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libevent-dev,
               python3-all,
               dh-python
Standards-Version: 3.9.6
Homepage: http://MediaArea.net/MediaConch
Vcs-Svn: https://github.com/MediaArea/MediaConch_SourceCode.git
Vcs-Browser: https://github.com/MediaArea/MediaConch_SourceCode

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0v5 (>= 22.03), libzen0v5 (>= 0.4.39)
Description: implementation and policy checker, reporter and fixer for media files (command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0v5 (>= 22.03), libzen0v5 (>= 0.4.39)
Description: implementation and policy checker, reporter and fixer for media files (server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: libmediaconch0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0v5 (>= 22.03), libzen0v5 (>= 0.4.39)
Description: implementation and policy checker, reporter and fixer for media files (library)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the library.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: libmediaconch-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediaconch0 (= ${binary:Version})
Description: implementation and policy checker, reporter and fixer for media files (library development files)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the library development files.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},  libmediainfo0v5 (>= 22.03), libzen0v5 (>= 0.4.39)
Description: implementation and policy checker, reporter and fixer for media files (GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: libmediaconch0-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the library)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the library.
 .
 This project is maintained by MediaArea and funded by PREFORMA.
